/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Creates or updates a disk encryption set
 *
 * @summary Creates or updates a disk encryption set
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-08-01/examples/CreateADiskEncryptionSet.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createADiskEncryptionSet() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskEncryptionSetName = "myDiskEncryptionSet";
        const diskEncryptionSet = {
            activeKey: {
                keyUrl: "https://myvmvault.vault-int.azure-int.net/keys/{key}",
                sourceVault: {
                    id: "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.KeyVault/vaults/myVMVault"
                }
            },
            encryptionType: "EncryptionAtRestWithCustomerKey",
            identity: { type: "SystemAssigned" },
            location: "West US"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.diskEncryptionSets.beginCreateOrUpdateAndWait(resourceGroupName, diskEncryptionSetName, diskEncryptionSet);
        console.log(result);
    });
}
createADiskEncryptionSet().catch(console.error);
//# sourceMappingURL=createADiskEncryptionSet.js.map