/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Create or update an image.
 *
 * @summary Create or update an image.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/CreateAnImageFromABlobWithDiskEncryptionSet.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createAVirtualMachineImageFromABlobWithDiskEncryptionSetResource() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const imageName = "myImage";
        const parameters = {
            location: "West US",
            storageProfile: {
                osDisk: {
                    blobUri: "https://mystorageaccount.blob.core.windows.net/osimages/osimage.vhd",
                    diskEncryptionSet: {
                        id: "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/{existing-diskEncryptionSet-name}"
                    },
                    osState: "Generalized",
                    osType: "Linux"
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.images.beginCreateOrUpdateAndWait(resourceGroupName, imageName, parameters);
        console.log(result);
    });
}
createAVirtualMachineImageFromABlobWithDiskEncryptionSetResource().catch(console.error);
//# sourceMappingURL=createAVirtualMachineImageFromABlobWithDiskEncryptionSetResource.js.map