/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create or update a dedicated host .
 *
 * @summary Create or update a dedicated host .
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/CreateOrUpdateADedicatedHost.json
 */
function createOrUpdateADedicatedHost() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const hostGroupName = "myDedicatedHostGroup";
        const hostName = "myDedicatedHost";
        const parameters = {
            location: "westus",
            platformFaultDomain: 1,
            sku: { name: "DSv3-Type1" },
            tags: { department: "HR" }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.dedicatedHosts.beginCreateOrUpdateAndWait(resourceGroupName, hostGroupName, hostName, parameters);
        console.log(result);
    });
}
createOrUpdateADedicatedHost().catch(console.error);
//# sourceMappingURL=dedicatedHostsCreateOrUpdateSample.js.map