/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create or update a gallery Application Definition.
 *
 * @summary Create or update a gallery Application Definition.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-10-01/examples/gallery/CreateOrUpdateASimpleGalleryApplication.json
 */
function createOrUpdateASimpleGalleryApplication() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryApplicationName = "myGalleryApplicationName";
        const galleryApplication = {
            description: "This is the gallery application description.",
            eula: "This is the gallery application EULA.",
            location: "West US",
            privacyStatementUri: "myPrivacyStatementUri}",
            releaseNoteUri: "myReleaseNoteUri",
            supportedOSType: "Windows"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryApplications.beginCreateOrUpdateAndWait(resourceGroupName, galleryName, galleryApplicationName, galleryApplication);
        console.log(result);
    });
}
createOrUpdateASimpleGalleryApplication().catch(console.error);
//# sourceMappingURL=galleryApplicationsCreateOrUpdateSample.js.map