/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Update a gallery image version.
 *
 * @summary Update a gallery image version.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-10-01/examples/gallery/UpdateASimpleGalleryImageVersion.json
 */
function updateASimpleGalleryImageVersionManagedImageAsSource() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryImageName = "myGalleryImageName";
        const galleryImageVersionName = "1.0.0";
        const galleryImageVersion = {
            publishingProfile: {
                targetRegions: [
                    { name: "West US", regionalReplicaCount: 1 },
                    {
                        name: "East US",
                        regionalReplicaCount: 2,
                        storageAccountType: "Standard_ZRS"
                    }
                ]
            },
            storageProfile: {
                source: {
                    id: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroup}/providers/Microsoft.Compute/images/{imageName}"
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryImageVersions.beginUpdateAndWait(resourceGroupName, galleryName, galleryImageName, galleryImageVersionName, galleryImageVersion);
        console.log(result);
    });
}
updateASimpleGalleryImageVersionManagedImageAsSource().catch(console.error);
/**
 * This sample demonstrates how to Update a gallery image version.
 *
 * @summary Update a gallery image version.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-10-01/examples/gallery/UpdateASimpleGalleryImageVersionWithoutSourceId.json
 */
function updateASimpleGalleryImageVersionWithoutSourceId() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryImageName = "myGalleryImageName";
        const galleryImageVersionName = "1.0.0";
        const galleryImageVersion = {
            publishingProfile: {
                targetRegions: [
                    { name: "West US", regionalReplicaCount: 1 },
                    {
                        name: "East US",
                        regionalReplicaCount: 2,
                        storageAccountType: "Standard_ZRS"
                    }
                ]
            },
            storageProfile: {}
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryImageVersions.beginUpdateAndWait(resourceGroupName, galleryName, galleryImageName, galleryImageVersionName, galleryImageVersion);
        console.log(result);
    });
}
updateASimpleGalleryImageVersionWithoutSourceId().catch(console.error);
//# sourceMappingURL=galleryImageVersionsUpdateSample.js.map