import { CommunityGalleryImages } from "../operationsInterfaces";
import { ComputeManagementClient } from "../computeManagementClient";
import { CommunityGalleryImagesGetOptionalParams, CommunityGalleryImagesGetResponse } from "../models";
/** Class containing CommunityGalleryImages operations. */
export declare class CommunityGalleryImagesImpl implements CommunityGalleryImages {
    private readonly client;
    /**
     * Initialize a new instance of the class CommunityGalleryImages class.
     * @param client Reference to the service client
     */
    constructor(client: ComputeManagementClient);
    /**
     * Get a community gallery image.
     * @param location Resource location.
     * @param publicGalleryName The public name of the community gallery.
     * @param galleryImageName The name of the community gallery image definition.
     * @param options The options parameters.
     */
    get(location: string, publicGalleryName: string, galleryImageName: string, options?: CommunityGalleryImagesGetOptionalParams): Promise<CommunityGalleryImagesGetResponse>;
}
//# sourceMappingURL=communityGalleryImages.d.ts.map