import * as coreClient from "@azure/core-client";
import * as coreAuth from "@azure/core-auth";
import { PrivateZones, VirtualNetworkLinks, RecordSets } from "./operationsInterfaces";
import { PrivateDnsManagementClientOptionalParams } from "./models";
export declare class PrivateDnsManagementClient extends coreClient.ServiceClient {
    $host: string;
    apiVersion: string;
    subscriptionId: string;
    /**
     * Initializes a new instance of the PrivateDnsManagementClient class.
     * @param credentials Subscription credentials which uniquely identify client subscription.
     * @param subscriptionId Gets subscription credentials which uniquely identify Microsoft Azure
     *                       subscription. The subscription ID forms part of the URI for every service call.
     * @param options The parameter options
     */
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: PrivateDnsManagementClientOptionalParams);
    privateZones: PrivateZones;
    virtualNetworkLinks: VirtualNetworkLinks;
    recordSets: RecordSets;
}
//# sourceMappingURL=privateDnsManagementClient.d.ts.map