/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Sets the properties of a storage account’s Blob service, including properties for Storage Analytics and CORS (Cross-Origin Resource Sharing) rules.
 *
 * @summary Sets the properties of a storage account’s Blob service, including properties for Storage Analytics and CORS (Cross-Origin Resource Sharing) rules.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/BlobServicesPutLastAccessTimeBasedTracking.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function blobServicesPutLastAccessTimeBasedTracking() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res4410";
        const accountName = "sto8607";
        const parameters = {
            lastAccessTimeTrackingPolicy: {
                name: "AccessTimeTracking",
                blobType: ["blockBlob"],
                enable: true,
                trackingGranularityInDays: 1
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.blobServices.setServiceProperties(resourceGroupName, accountName, parameters);
        console.log(result);
    });
}
blobServicesPutLastAccessTimeBasedTracking().catch(console.error);
//# sourceMappingURL=blobServicesPutLastAccessTimeBasedTracking.js.map