/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Gets the existing immutability policy along with the corresponding ETag in response headers and body.
 *
 * @summary Gets the existing immutability policy along with the corresponding ETag in response headers and body.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/BlobContainersGetImmutabilityPolicy.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function getImmutabilityPolicy() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res5221";
        const accountName = "sto9177";
        const containerName = "container3489";
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.blobContainers.getImmutabilityPolicy(resourceGroupName, accountName, containerName);
        console.log(result);
    });
}
getImmutabilityPolicy().catch(console.error);
//# sourceMappingURL=getImmutabilityPolicy.js.map