/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Sets the managementpolicy to the specified storage account.
 *
 * @summary Sets the managementpolicy to the specified storage account.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/StorageAccountSetManagementPolicy_LastAccessTimeBasedBlobActions.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function storageAccountSetManagementPolicyLastAccessTimeBasedBlobActions() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res7687";
        const accountName = "sto9699";
        const managementPolicyName = "default";
        const properties = {
            policy: {
                rules: [
                    {
                        name: "olcmtest",
                        type: "Lifecycle",
                        definition: {
                            actions: {
                                baseBlob: {
                                    delete: { daysAfterLastAccessTimeGreaterThan: 1000 },
                                    enableAutoTierToHotFromCool: true,
                                    tierToArchive: { daysAfterLastAccessTimeGreaterThan: 90 },
                                    tierToCool: { daysAfterLastAccessTimeGreaterThan: 30 }
                                },
                                snapshot: { delete: { daysAfterCreationGreaterThan: 30 } }
                            },
                            filters: {
                                blobTypes: ["blockBlob"],
                                prefixMatch: ["olcmtestcontainer"]
                            }
                        },
                        enabled: true
                    }
                ]
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.managementPolicies.createOrUpdate(resourceGroupName, accountName, managementPolicyName, properties);
        console.log(result);
    });
}
storageAccountSetManagementPolicyLastAccessTimeBasedBlobActions().catch(console.error);
//# sourceMappingURL=storageAccountSetManagementPolicyLastAccessTimeBasedBlobActions.js.map