/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to The update operation can be used to update the SKU, encryption, access tier, or tags for a storage account. It can also be used to map the account to a custom domain. Only one custom domain is supported per storage account; the replacement/change of custom domain is not supported. In order to replace an old custom domain, the old value must be cleared/unregistered before a new value can be set. The update of multiple properties is supported. This call does not change the storage keys for the account. If you want to change the storage account keys, use the regenerate keys operation. The location and name of the storage account cannot be changed after creation.
 *
 * @summary The update operation can be used to update the SKU, encryption, access tier, or tags for a storage account. It can also be used to map the account to a custom domain. Only one custom domain is supported per storage account; the replacement/change of custom domain is not supported. In order to replace an old custom domain, the old value must be cleared/unregistered before a new value can be set. The update of multiple properties is supported. This call does not change the storage keys for the account. If you want to change the storage account keys, use the regenerate keys operation. The location and name of the storage account cannot be changed after creation.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/StorageAccountUpdateDisablePublicNetworkAccess.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function storageAccountUpdateDisablePublicNetworkAccess() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res9407";
        const accountName = "sto8596";
        const parameters = {
            allowBlobPublicAccess: false,
            allowSharedKeyAccess: true,
            encryption: {
                keySource: "Microsoft.Storage",
                services: {
                    blob: { enabled: true, keyType: "Account" },
                    file: { enabled: true, keyType: "Account" }
                }
            },
            keyPolicy: { keyExpirationPeriodInDays: 20 },
            minimumTlsVersion: "TLS1_2",
            networkRuleSet: {
                defaultAction: "Allow",
                resourceAccessRules: [
                    {
                        resourceId: "/subscriptions/a7e99807-abbf-4642-bdec-2c809a96a8bc/resourceGroups/res9407/providers/Microsoft.Synapse/workspaces/testworkspace",
                        tenantId: "72f988bf-86f1-41af-91ab-2d7cd011db47"
                    }
                ]
            },
            publicNetworkAccess: "Disabled",
            routingPreference: {
                publishInternetEndpoints: true,
                publishMicrosoftEndpoints: true,
                routingChoice: "MicrosoftRouting"
            },
            sasPolicy: { expirationAction: "Log", sasExpirationPeriod: "1.15:59:59" }
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.storageAccounts.update(resourceGroupName, accountName, parameters);
        console.log(result);
    });
}
storageAccountUpdateDisablePublicNetworkAccess().catch(console.error);
//# sourceMappingURL=storageAccountUpdateDisablePublicNetworkAccess.js.map