import { BillingAccount } from "../operationsInterfaces";
import { SubscriptionClient } from "../subscriptionClient";
import { BillingAccountGetPolicyOptionalParams, BillingAccountGetPolicyResponse } from "../models";
/** Class containing BillingAccount operations. */
export declare class BillingAccountImpl implements BillingAccount {
    private readonly client;
    /**
     * Initialize a new instance of the class BillingAccount class.
     * @param client Reference to the service client
     */
    constructor(client: SubscriptionClient);
    /**
     * Get Billing Account Policy.
     * @param billingAccountId Billing Account Id.
     * @param options The options parameters.
     */
    getPolicy(billingAccountId: string, options?: BillingAccountGetPolicyOptionalParams): Promise<BillingAccountGetPolicyResponse>;
}
//# sourceMappingURL=billingAccount.d.ts.map